Bug 1778645 - lasso-2.6.0-19.fc32 FTBFS: non_regression_tests.c:240:51: error: initializer element is not constant
Summary: lasso-2.6.0-19.fc32 FTBFS: non_regression_tests.c:240:51: error: initializer ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lasso
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39
TreeView+ depends on / blocked
 
Reported: 2019-12-02 09:03 UTC by Petr Pisar
Modified: 2020-01-20 09:20 UTC (History)
5 users (show)

Fixed In Version: lasso-2.6.0-20.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-20 09:09:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-12-02 09:03:58 UTC
lasso-2.6.0-19.fc32 fails to build in Fedora 32 because a compilations fails with:

gcc -DHAVE_CONFIG_H -I. -I.. -I../lasso  -DPACKAGE=\"lasso\" -DTESTSDATADIR=\"./data/\" -DTESTSMETADATADIR=\"./data/metadata/\" -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2 -DXMLSEC_CRYPTO_DYNAMIC_LOADING=1 -I/usr/include/xmlsec1 -D__XMLSEC_FUNCTION__=__func__ -DXMLSEC_NO_SIZE_T -DXMLSEC_NO_GOST=1 -DXMLSEC_NO_GOST2012=1 -DXMLSEC_DL_LIBLTDL=1 -DXMLSEC_CRYPTO_OPENSSL=1  -pthread    -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -c -o non_regression_tests.o non_regression_tests.c
non_regression_tests.c:240:51: warning: initialization discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
  240 |  { "Googleapps error from coudot@ on 27-09-2010", test01_googleapps_27092010},
      |                                                   ^~~~~~~~~~~~~~~~~~~~~~~~~~
non_regression_tests.c:240:51: error: initializer element is not constant
non_regression_tests.c:240:51: note: (near initialization for 'tests[0].function')

A difference between passing and falling build root is at <https://koschei.fedoraproject.org/build/7108742>. An upgrade of check-devel from 0.12.0-5.fc31 to 0.13.0-1.fc32 looks suspicious.

Comment 1 Miro Hrončok 2020-01-16 18:49:46 UTC
This blocks the Python 3.9 rebuild.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01148494-lasso/

For all our attempts to build lasso with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/lasso/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 2 Jakub Hrozek 2020-01-17 14:23:58 UTC
thanks for the bug report and sorry for the delay in responding.
I can indeed reproduce the bug after upgrading to check 0.13.x

Comment 3 Jakub Hrozek 2020-01-20 09:20:03 UTC
Patch also submitted to rawhide: https://dev.entrouvert.org/issues/39101

Comment 4 Jakub Hrozek 2020-01-20 09:20:33 UTC
(In reply to Jakub Hrozek from comment #3)
> Patch also submitted to rawhide: https://dev.entrouvert.org/issues/39101

..submitted upstream..


Note You need to log in before you can comment on or make changes to this bug.